# Calendars Object

> Source: https://truto.one/docs/api-reference/unified-calendar-api/calendars/

Schema for the `Calendars` resource in **Unified Calendar API**.

## Properties

- **`id`** _(string, required)_
  The unique identifier of the calendar.
- **`name`** _(string)_
  The name of the calendar.
- **`description`** _(string)_
  The description of the calendar.
- **`location`** _(object)_
  The location of the calendar.
  - **`id`** _(string)_
    The unique identifier of the location.
  - **`name`** _(string)_
    The name of the location.
- **`status`** _(string)_
  The status of the calendar.
  Allowed: `active`, `inactive`
- **`visibility`** _(string)_
  The visibility of the calendar.
  Allowed: `public`, `private`
- **`is_default`** _(boolean)_
  Indicates if the calendar is the default calendar of the user.
- **`timezone`** _(string)_
  The timezone of the calendar.
- **`access_role`** _(object)_
  The access role on the calendar for the authenticated user.
  - **`id`** _(string)_
    The unique identifier of the access role.
  - **`name`** _(string)_
    The name of the access role.
    Allowed: `owner`, `reader`, `writer`, `freebusy`
- **`colors`** _(object)_
  The colors associated with the calendar.
  - **`background`** _(string)_
    The background color of the calendar.
  - **`foreground`** _(string)_
    The foreground color of the calendar.
- **`created_at`** _(string)_
  The date when the calendar was created.
- **`updated_at`** _(string)_
  The date when the calendar was updated.
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Methods

- [GET /unified/calendar/calendars](/docs/api-reference/unified-calendar-api/calendars/list) — List Calendars
- [GET /unified/calendar/calendars/{id}](/docs/api-reference/unified-calendar-api/calendars/get) — Get Calendars
